package com.fs.chat.service;

import com.fs.chat.domain.ChatMsgLogs;
import com.fs.chat.param.ChatMsgLogsListCParam;
import com.fs.chat.vo.ChatMsgLogsListCVO;
import com.fs.chat.vo.ChatMsgLogsVO;

import java.util.List;

/**
 * 消息操作日志Service接口
 *
 * @author fs
 * @date 2024-05-10
 */
public interface IChatMsgLogsService
{
    /**
     * 查询消息操作日志
     *
     * @param logsId 消息操作日志主键
     * @return 消息操作日志
     */
    public ChatMsgLogs selectChatMsgLogsByLogsId(Long logsId);

    /**
     * 查询消息操作日志列表
     *
     * @param chatMsgLogs 消息操作日志
     * @return 消息操作日志集合
     */
    public List<ChatMsgLogs> selectChatMsgLogsList(ChatMsgLogs chatMsgLogs);

    /**
     * 新增消息操作日志
     *
     * @param chatMsgLogs 消息操作日志
     * @return 结果
     */
    public int insertChatMsgLogs(ChatMsgLogs chatMsgLogs);

    /**
     * 修改消息操作日志
     *
     * @param chatMsgLogs 消息操作日志
     * @return 结果
     */
    public int updateChatMsgLogs(ChatMsgLogs chatMsgLogs);

    /**
     * 批量删除消息操作日志
     *
     * @param logsIds 需要删除的消息操作日志主键集合
     * @return 结果
     */
    public int deleteChatMsgLogsByLogsIds(Long[] logsIds);

    /**
     * 删除消息操作日志信息
     *
     * @param logsId 消息操作日志主键
     * @return 结果
     */
    public int deleteChatMsgLogsByLogsId(Long logsId);

    List<ChatMsgLogsVO> selectChatMsgLogsListCVO(ChatMsgLogs chatMsgLogs);

    List<ChatMsgLogsListCVO> selectChatMsgLogsListVO(ChatMsgLogsListCParam chatMsgLogs);
}
